/********************************************************************
 * Job Ticket API (JTAPI) fsgjt_document.h
 *  
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.lic and applies to the contents of this file. 
 *******************************************************************/
#ifndef FSGJT_DOCUMENT_H
#define FSGJT_DOCUMENT_H

#include <fsgjt.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_DOCUMENT_OBJECT          "JDOC"

/************************************************************
 * Document attributes
 ***********************************************************/
/* Multiple values where type is fsgjt_uri_t (URI) */
#define FSGJT_DOCUMENT_DATA_URI              "document-data-uri"

/************************************************************
 * fsgjtNewDocument - Creates a Document object. 
 *
 * param (output) fsgjt_object_t* document - Pointer to the 
 *      new document to be created
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewDocument(
               fsgjt_object_t* document);

/************************************************************
 * fsgjtNewDocumentFromURI - Creates a Document object using  
 * the provided URI that contains the document data. 
 *
 * param (output) fsgjt_object_t* document - Pointer to the 
 *      new document to be created
 * param (input) fsgjt_uri_t uri - URI of the document data 
 *      or NULL if no data file is to be associated with the 
 *      job ticket
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewDocumentFromURI(
               fsgjt_object_t* document,
               fsgjt_uri_t uri);

#endif /* FSGJT_DOCUMENT_H */
