/********************************************************************
 * Job Ticket API (JTAPI) fsgjt_folding.h
 *  
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.lic and applies to the contents of this file. 
 *******************************************************************/

#ifndef FSGJT_FOLDING_H
#define FSGJT_FOLDING_H

#include <fsgjt.h>
#include <fsgjt_enums.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_FOLDING_OBJECT       "JFLD"

/************************************************************
 * Folding attributes
 ***********************************************************/
/* Single value where type is fsgjt_reference_edge_t */
/* (ReferenceEdgeEnum) */
#define FSGJT_FOLDING_REFERENCE_EDGE         "folding-reference-edge"

/* Single value where type is fsgjt_folding_type_t */
/* (FoldingTypeEnum) */
#define FSGJT_FOLDING_TYPE                   "folding-type"

/************************************************************
 * fsgjtNewFolding - Creates a Folding object having the
 * provided folding type.
 *
 * param (output) fsgjt_object_t* folding - Pointer to the
 *      new Folding object to create
 * param (input) fsgjt_folding_type_t foldingType - Type of
 *      folding to be performed
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewFolding(
               fsgjt_object_t* folding,
               fsgjt_folding_type_t foldingType);

#endif /* FSGJT_FOLDING_H */
