/********************************************************************
 * Job Ticket API (JTAPI) fsgjt_separator_sheet.h
 *  
 * Copyright (c) 2004 High North Inc.
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.lic and applies to the contents of this file. 
 *******************************************************************/

#ifndef FSGJT_SEPARATOR_SHEET_H
#define FSGJT_SEPARATOR_SHEET_H

#include <fsgjt.h>
#include <fsgjt_enums.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_SEPARATOR_SHEET_OBJECT  "JSEP"

/************************************************************
 * SeparatorSheet attributes
 ***********************************************************/
/* Single value where type is fsgjt_object_t (Media) */
#define FSGJT_SEPARATOR_SHEET_MEDIA          "separator-sheet-media"

/* Single value where type is fsgjt_text_t (Text) */
#define FSGJT_SEPARATOR_SHEET_MESSAGE        "separator-sheet-message"

/* Single value where type is fsgjt_separator_sheet_t */
/* (SeparatorSheetEnum) */
#define FSGJT_SEPARATOR_SHEET_TYPE           "separator-sheet-type"

/************************************************************
 * fsgjtNewSeparatorSheet - Creates a SeparatorSheet object
 * having the provided type and media.
 *
 * param (output) fsgjt_object_t* separatorSheet - Pointer to
 *      the new SeparatorSheet object to create
 * param (input) fsgjt_separator_sheet_t type - Type of
 *      separator sheet (e.g., blank)
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewSeparatorSheet(
               fsgjt_object_t* separatorSheet,
               fsgjt_separator_sheet_t type);

#endif /* FSGJT_SEPARATOR_SHEET_H */
